---
name: Bug Report
about: Report an issue that you're running into
labels: bug
---

## Checklist

- [ ] I've updated to the latest released version of the SDK
- [ ] I've searched for existing [GitHub issues](https://github.com/facebook/facebook-ios-sdk/issues)
- [ ] I've looked for existing answers on [Stack Overflow](https://facebook.stackoverflow.com), the [Facebook Developer Community Forum](https://developers.facebook.com/community/) and the [Facebook Developers Group](https://www.facebook.com/groups/fbdevelopers)
- [ ] I've read the [Code of Conduct](CODE_OF_CONDUCT.md)
- [ ] This issue is not security related and can safely be disclosed publicly on GitHub

## Environment

Describe your dev environment here, giving as many details as possible. If you have them, make sure to include:

- Xcode Version: `X.X.X`
- Swift Version: `X.X.X` (if issue is Swift related)
- Installation Platform & Verison: `[Cocoapods|Carthage|Manual]` version `X.X.X`

## Goals

What do you want to achieve?

## Expected Results

What do you expect to happen?

## Actual Results

What actually happened? Can you provide a stack trace?

## Steps to Reproduce

What are the steps necessary to reproduce this issue?

## Code Samples & Details

Please provide a code sample, as well as any additional details, to help us track down the issue. If you can provide a link to a test project that allows us to reproduce the issue, this helps us immensely in both the speed and quality of the fix.

**Note:** Remember to format your code for readability:

```swift
// INSERT YOUR CODE HERE

var example = "Example code"
```
